﻿using System.Collections.Generic;

namespace Dsl.Ped.AddIn.Java.Resources
{
    /// <summary>
    /// These are the basic resources of the Beeps AddIn
    /// </summary>
    public static class BeepsResources
    {
        /// <summary>
        /// Key words of a language
        /// </summary>
        public static string[] KeyWords = new string[] { "Beeps", "Beep" };

        /// <summary>
        /// Delimiter used for the keywords. We are using the
        /// delimiter in the SyntaxHighlighterProjection that
        /// expects the keywords to be delimited by a unique character.
        /// </summary>
        public static char KeyWordsDelimiter = '\u00a5';

        /// <summary>
        /// Get the list of keywords
        /// </summary>
        /// <returns></returns>
        public static IList<string> GetKeyWords()
        {
            return KeyWords;
        }
    }
}
