﻿using System.Collections.Generic;
using System.Linq;

namespace Dsl.Ped.AddIn.Java.Resources
{
    /// <summary>
    /// Resources used by the Java AddIn
    /// </summary>
    public static class JavaResources
    {
        /// <summary>
        /// Some java keywords
        /// </summary>
        public static string[] KeyWords = new string[] { "class", "extends" };

        /// <summary>
        /// Delimiter of the keywords used by the SyntaxHighlighterProjection
        /// </summary>
        public static char KeyWordsDelimiter = '\u00a5';

        /// <summary>
        /// Data types of java
        /// </summary>
        public static string[] DataTypes = new string[] { "Int", "Double", "String", "Void", "Bool" };

        /// <summary>
        /// Get all keywords to be syntactically highlighted
        /// </summary>
        /// <returns></returns>
        public static IList<string> GetKeyWords()
        {
            return KeyWords.Concat(DataTypes).ToArray();
        }
    }
}
