﻿using System.Windows;
using Dsl.Ped.Common.Helpers;

namespace Dsl.Ped.Common.Extensions
{
    /// <summary>
    /// Extensions of <see cref="ResourceDictionary"/>
    /// </summary>
    public static class ResourceDictionaryExtension 
    {
        /// <summary>
        /// Loads <see cref="dictionary"/> to the <see cref="resourceDictionary"/>
        /// </summary>
        /// <param name="resourceDictionary">Dictionary into which the <see cref="dictionary"/> should be loaded</param>
        /// <param name="dictionary">Dictionary to load into <see cref="resourceDictionary"/></param>
        public static void LoadResourceDictionary(this ResourceDictionary resourceDictionary, ResourceDictionary dictionary)
        {
            ResourceDictionaryHelper.LoadResourceDictionary(resourceDictionary, dictionary);
        }
    }
}
