﻿using System.Reflection;
using Dsl.Ped.Common.Helpers;

namespace Dsl.Ped.Common.Extensions
{
    /// <summary>
    /// Extension methods of <see cref="string"/> type
    /// </summary>
    public static class StringExtension
    {
        /// <summary>
        /// Localize <see cref="string"/> against the Lang dictionary of specific resource and <see cref="Assembly"/>
        /// </summary>
        /// <param name="str">String to localize</param>
        /// <param name="resourceAssembly"><see cref="Assembly"/> where the resource is defined</param>
        /// <param name="resourceManagerBaseName">Base name of the resource</param>
        /// <returns>Localized dictionary item if exists, items.ToString() itself otherwise</returns>
        public static string Localize(this string str, Assembly resourceAssembly, string resourceManagerBaseName)
        {
            return StringHelper.Localize(str, resourceAssembly, resourceManagerBaseName);
        }
    }
}
