﻿using Dsl.Ped.Common.Helpers;

namespace Dsl.Ped.Common.Extensions
{
    /// <summary>
    /// Extension methods of a string related to XAML 
    /// </summary>
    public static class XamlExtension
    {
        /// <summary>
        /// Check if the name is valid xaml name in accordance to xaml grammar
        /// http://msdn.microsoft.com/en-us/library/ms742534(v=vs.90).aspx
        /// </summary>
        /// <param name="name">Name to be validated</param>
        /// <returns></returns>
        public static string CheckValidXamlName(this string name)
        {
            return XamlHelper.CheckValidXamlName(name);
        }
    }
}
