﻿using System.Collections.Generic;
using Dsl.Ped.Common.Converters;
using NUnit.Framework;

namespace DSLPedCommonTest.Converters
{
    [TestFixture]
    public class CollectionToBoolConverterTest
    {
        private CollectionToBoolConverter converter;

        [SetUp]
        public void SetUpForEachTest()
        {
            converter = new CollectionToBoolConverter();
        }

        [Test, Description("Convert null collection")]
        public void CollectionToBoolConverterTest1()
        {
            var obj = converter.Convert(null, typeof(object), null, null);
            Assert.AreEqual(true, (bool)obj);
        }

        [Test, Description("Convert empty collection")]
        public void CollectionToBoolConverterTest2()
        {
            var obj = converter.Convert(new List<string>(), typeof(List<string>), null, null);
            Assert.AreEqual(true, (bool)obj);
        }

        [Test, Description("Convert non empty collection")]
        public void CollectionToBoolConverterTest3()
        {
            var obj = converter.Convert(new List<string>() { "hello" }, typeof(List<string>), null, null);
            Assert.AreEqual(false, (bool)obj);
        }
    }
}
