﻿namespace Dsl.Ped.Controls.ProjectiveControl
{
    /// <summary>
    /// The mode of a <see cref="ProjectiveControl"/> can be either
    /// <see cref="BehaviorMode.Activation"/> when the user can activate the control and configure
    /// it specificaly or <see cref="BehaviorMode.Interaction"/> when the <see cref="ProjectiveControl"/> interacts
    /// with the user with respect to its Event-driven projection settings
    /// </summary>
    public enum BehaviorMode
    {
        /// <summary>
        /// The user can activate the <see cref="ProjectiveControl"/> and configure it
        /// </summary>
        Activation,

        /// <summary>
        /// The user can interact with the <see cref="ProjectiveControl"/> with respect to the
        /// Event-driven projections being defined for the <see cref="ProjectiveControl"/>
        /// </summary>
        Interaction
    }
}
