﻿using System.Windows.Input;

namespace Dsl.Ped.Controls.ProjectiveControl.Helpers
{
    /// <summary>
    /// Helper of the <see cref="BehaviorMode"/>
    /// </summary>
    public static class BehaviourModeHelper
    {
        /// <summary>
        /// Get the current projections mode (either selection, when the user can switch between projection containers, or
        /// Edit when the user can go thru projections containers' workflow)
        /// </summary>
        /// <returns></returns>
        public static BehaviorMode GetCurrentMode()
        {
            return (Keyboard.IsKeyDown(Key.LeftShift)) ? BehaviorMode.Activation : BehaviorMode.Interaction;
        }
    }
}
