﻿using System;

namespace Dsl.Ped.Desktop.Commands
{
    /// <summary>
    /// Interface that must be implemented by any object requiring 
    /// to be considered as a command. Such an object properly registered
    /// in the application will be automatically injected into the application
    /// Ribbon bar.
    /// </summary>
    public interface IApplicationCommand
    {
        /// <summary>
        /// Title representing the command
        /// </summary>
        string Title { get; }

        /// <summary>
        /// Uri of the icon
        /// </summary>
        string ImageUri { get; }

        /// <summary>
        /// Action to be executed 
        /// </summary>
        Action Action { get; }
    }
}
