﻿using System;
using Dsl.Ped.Desktop.Messages;
using Dsl.Ped.Desktop.Resources;

namespace Dsl.Ped.Desktop.Commands
{
    /// <summary>
    /// Command that will create a new file
    /// </summary>
    public class NewFileCommand : IApplicationCommand
    {
        public string Title
        {
            get
            {
                return DesktopLang.NewFile;
            }
        }

        public string ImageUri
        {
            get
            {
                return "Resources/Images/newFile_32.jpg";
            }
        }

        public Action Action
        {
            get
            {
                return () => { ApplicationResources.Instance.Messenger.Send(new NewFileMessage()); };
            }
        }
    }
}
