﻿using System;
using Dsl.Ped.Desktop.Messages;
using Dsl.Ped.Desktop.Resources;

namespace Dsl.Ped.Desktop.Commands
{
    /// <summary>
    /// Command that will open an existing file
    /// </summary>
    public class OpenFileCommand : IApplicationCommand
    {
        public string Title
        {
            get
            {
                return DesktopLang.OpenFile;
            }
        }

        public string ImageUri
        {
            get
            {
                return "Resources/Images/open_32.png";
            }
        }

        public Action Action
        {
            get
            {
                return () => { ApplicationResources.Instance.Messenger.Send(new OpenFileMessage()); };
            }
        }
    }
}
