﻿using System;
using Dsl.Ped.Desktop.Messages;
using Dsl.Ped.Desktop.Resources;

namespace Dsl.Ped.Desktop.Commands
{
    /// <summary>
    /// Command that will save current Projective Object under a new file name
    /// </summary>
    public class SaveFileAsCommand : IApplicationCommand
    {
        public string Title
        {
            get
            {
                return DesktopLang.SaveFileAs;
            }
        }

        public string ImageUri
        {
            get
            {
                return "Resources/Images/saveas_32.png";
            }
        }

        public Action Action
        {
            get
            {
                return () => { ApplicationResources.Instance.Messenger.Send(new SaveFileAsMessage()); };
            }
        }
    }
}
