﻿using System;
using Dsl.Ped.Desktop.Messages;
using Dsl.Ped.Desktop.Resources;

namespace Dsl.Ped.Desktop.Commands
{
    /// <summary>
    /// Command that will save the current ProjectiveObject under the
    /// current name.
    /// </summary>
    public class SaveFileCommand : IApplicationCommand
    {
        public string Title
        {
            get
            {
                return DesktopLang.SaveFile;
            }
        }

        public string ImageUri
        {
            get
            {
                return "Resources/Images/save_32.png";
            }
        }

        public Action Action
        {
            get
            {
                return () => { ApplicationResources.Instance.Messenger.Send(new SaveFileMessage()); };
            }
        }
    }
}
