﻿namespace Dsl.Ped.Desktop.Messages
{
    /// <summary>
    /// Message that requires to view a module of a registered name
    /// </summary>
    public class ViewModuleMessage
    {
        /// <summary>
        /// Instantiates new <see cref="ViewModuleMessage"/>
        /// </summary>
        /// <param name="name">Name of the module to be opened. The module must be properly registered</param>
        public ViewModuleMessage(string name)
        {
            // Set the name of the module
            this.Name = name;
        }

        /// <summary>
        /// Name of the module to be opened
        /// </summary>
        public string Name { get; private set; }
    }
}
