﻿using Dsl.Ped.Editor.Interfaces;

namespace Dsl.Ped.Desktop.Modules.Editor
{
    /// <summary>
    /// View model of the <see cref="EditorView"/>. This is the main
    /// data context of the <see cref="EditorView"/>
    /// </summary>
    public class EditorViewModel
    {
        #region Fields

        /// <summary>
        /// Instance of the common <see cref="IDslPedEditor"/> wrapped by the <see cref="EditorView"/>
        /// </summary>
        private readonly IDslPedEditor dslPedEditor;

        #endregion

        /// <summary>
        /// Gets the wrapped <see cref="IDslPedEditor"/> wrapped in the <see cref="EditorView"/>
        /// </summary>
        public IDslPedEditor DSLPedEditor
        {
            get
            {
                return dslPedEditor;
            }
        }

        /// <summary>
        /// Instantiates new <see cref="EditorViewModel"/>
        /// </summary>
        /// <param name="editor">Instance of <see cref="IDslPedEditor"/> wrapped by the <see cref="EditorView"/></param>
        public EditorViewModel(IDslPedEditor editor)
        {
            dslPedEditor = editor;
        }
    }
}
