﻿using System.Windows;
using Dsl.Ped.Desktop.Resources;
using Dsl.Ped.Framework.Messages;

namespace Dsl.Ped.Desktop.Modules.ErrorViewer
{
    /// <summary>
    /// This is the module responsible for the display of errors
    /// notified via <see cref="NotifyMessage"/>
    /// </summary>
    public class ErrorViewerModule : IModule
    {
        /// <summary>
        /// Gets the view of the module
        /// </summary>
        public FrameworkElement View
        {
            get
            {
                return new ErrorViewerView();
            }
        }

        /// <summary>
        /// Gets the name of a module
        /// </summary>
        public string Name
        {
            get
            {
                return "ErrorViewer";
            }
        }

        /// <summary>
        /// Gets the title of the module
        /// </summary>
        public string Title
        {
            get
            {
                return DesktopLang.ErrorViewer;
            }
        }

        /// <summary>
        /// Gets the Uri of an image representing the module
        /// </summary>
        public string ImageUri
        {
            get
            {
                return "Resources/Images/errorViewer.png";
            }
        }
    }
}
