﻿using System.Windows;

namespace Dsl.Ped.Desktop.Modules
{
    /// <summary>
    /// Each module in the desktop applicatoin must implement this interface
    /// </summary>
    public interface IModule
    {
        /// <summary>
        /// View of the module
        /// </summary>
        FrameworkElement View { get; }

        /// <summary>
        /// Name of the module
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Title of the module
        /// </summary>
        string Title { get; }

        /// <summary>
        /// Relative path to the image
        /// </summary>
        string ImageUri { get; }
    }
}
