﻿using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Editor.Messages
{
    /// <summary>
    /// Message notifying the given projection conainer has changed
    /// </summary>
    public class ProjectionContainerChangedMessage
    {
        /// <summary>
        /// New projection container
        /// </summary>
        public IProjectionContainer NewProjectionContainer { get; private set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="ProjectionContainerChangedMessage"/> class.
        /// </summary>
        /// <param name="newProjectionContainer">The new projection container.</param>
        public ProjectionContainerChangedMessage(IProjectionContainer newProjectionContainer)
        {
            this.NewProjectionContainer = newProjectionContainer;
        }
    }
}
