﻿using Dsl.Ped.Framework.Common;
using System.Collections.Generic;

namespace Dsl.Ped.Editor.Messages
{
    /// <summary>
    /// Message notifying about the currently selected projection container
    /// </summary>
    class SelectedProjectiveObjectMessage
    {
        /// <summary>
        /// List of all projection containers
        /// </summary>
        public List<IProjectionContainer> ProjectionContainers { get; set; }
        
        /// <summary>
        /// Currently selected projection container
        /// </summary>
        public IProjectionContainer SelectedProjectionContainer { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="SelectedProjectiveObjectMessage"/> class.
        /// </summary>
        /// <param name="currentProjectionContainer">The current projection container.</param>
        /// <param name="projectionContainers">All projection containers.</param>
        public SelectedProjectiveObjectMessage(IProjectionContainer currentProjectionContainer, List<IProjectionContainer> projectionContainers)
        {
            this.SelectedProjectionContainer = currentProjectionContainer;
            this.ProjectionContainers = projectionContainers;
        }
    }
}
