﻿using Dsl.Ped.Editor.Helpers;
using NUnit.Framework;

namespace DSLPedUtilsTest.Utils
{
    /// <summary>
    /// Tests of the <see cref="FileHelper"/> class
    /// </summary>
    [TestFixture]
    public class ProjectiveObjectServiceTest
    {
        private const string TextFile = "TestingFiles/TextFile.txt";

        [SetUp]
        public void SetUpForEachTest()
        {
            // Not used section
        }

        [Test]
        public void GetFileContentTest()
        {
            var fileContent = FileHelper.GetFileContent(TextFile);
            Assert.AreEqual("This is the test content", fileContent);
        }

        [Test]
        public void GetFileContentNonExistingTest()
        {
            var fileContent = FileHelper.GetFileContent("dafdafadflkj");
            Assert.IsNull(fileContent);
        }
    }
}
