﻿using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.AddIns
{
    /// <summary>
    /// This is the interface that must be implemented by any 
    /// AddIn that requries to be injected into Desktop editor or MSVS IDE
    /// </summary>
    public interface IDslPedAddIn
    {
        /// <summary>
        /// Get default object that will be used for the creation of a new projective object
        /// </summary>
        /// <returns>Instance of a projective object used in the AddIn</returns>
        IProjective GetDefaultObject();
    }
}
