﻿using System.Collections.Generic;
using System.ComponentModel;

namespace Dsl.Ped.Framework.Common
{
    /// <summary>
    /// Fundamental interface that must be implemented by all object required to 
    /// be used as projective ones
    /// </summary>
    public interface IProjective : INotifyPropertyChanged
    {
        /// <summary>
        /// Gets all available containers of the class implementing this interface
        /// </summary>
        /// <returns>List of containers belonging to the class implementing this interface</returns>
        List<IProjectionContainer> GetProjectionContainers();
    }
}
