﻿using System.Reflection;

namespace Dsl.Ped.Framework.Members
{
    /// <summary>
    /// Class representing property members of the class
    /// </summary>
    public class PropertyMember : Member
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PropertyMember"/> class.
        /// </summary>
        /// <param name="propertyInfo">The property info out of which the instance should be created</param>
        public PropertyMember(PropertyInfo propertyInfo)
        {
            this.Name = propertyInfo.Name;
            this.Type = propertyInfo.PropertyType;
        }
    }
}
