﻿using System;
using System.Windows.Controls;
using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.Projections.CollectionProjections
{
    /// <summary>
    /// Hint for the creation of collection-based projections
    /// </summary>
    /// <typeparam name="T">Type of the projection (like ListBox, ComboBox, ListView, etc.)</typeparam>
    public class CollectionProjectionHint<T> : ProjectionHint<T>, ICollectionProjectionHint<T>
        where T : ItemsControl, new()
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CollectionProjectionHint{T}"/> class.
        /// </summary>
        /// <param name="defaultConfiguration">The default configuration of a collection-based projection</param>
        /// <param name="customConfiguration">The custom configuration of a collection-based projection </param>
        public CollectionProjectionHint(Action<T, Type> defaultConfiguration, Action<T> customConfiguration)
            : base(defaultConfiguration, customConfiguration)
        {
        }
    }
}
