﻿using System;
using System.Windows;
using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.Projections.LayoutProjections
{
    /// <summary>
    /// Hint for the creation of layout-based projections
    /// </summary>
    /// <typeparam name="T">Type of the projection (like Grid, StackPanel, etc.)</typeparam>
    public class LayoutProjectionHint<T> : ProjectionHint<T>, ILayoutProjectionHint<T>
        where T : FrameworkElement, new()
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="LayoutProjectionHint{T}"/> class.
        /// </summary>
        /// <param name="defaultConfiguration">The default configuration applied to the instance of a projection</param>
        /// <param name="customConfiguration">The custom configuration applied after <see cref="defaultConfiguration"/></param>
        public LayoutProjectionHint(Action<T, Type> defaultConfiguration, Action<T> customConfiguration)
            : base(defaultConfiguration, customConfiguration)
        {
        }
    }
}
