﻿using System;
using System.Windows;
using Dsl.Ped.Framework.Common;

namespace Dsl.Ped.Framework.Projections.ObjectProjections
{
    /// <summary>
    /// Interface that must be implemented by any object-based projeciton hints.
    /// Such a projections are aimed at projecting objects.
    /// </summary>
    /// <typeparam name="T">Type representing the projection (TextBox, Label etc.)</typeparam>
    public interface IObjectProjectionHint<T> : IProjectionHint<T>
        where T : FrameworkElement, new()
    {
        /// <summary>
        /// Type of the projection
        /// </summary>
        Type ProjectionType { get; }
    }
}
