﻿using Dsl.Ped.Framework.Helpers;
using NUnit.Framework;

namespace DSLPedFrameworkTest.Helpers 
{
    [TestFixture]
    public class EnumHelperTest
    {
        private enum Test {
            A,
            B,
            C,
            NonExisting
        }

        [Test]
        public void LocalizeTest1()
        {
            var result = EnumHelper.Localize(Test.A);
            Assert.AreEqual("AAA", result);
        }

        [Test, Description("Try to localize enum value that doesn't exist")]
        public void LocalizeTest2()
        {
            var result = EnumHelper.Localize(Test.NonExisting);
            Assert.AreEqual("NonExisting", result);
        }
    }
}
