﻿using Dsl.Ped.Framework.Helpers;
using NUnit.Framework;

namespace DSLPedFrameworkTest.Helpers
{
    [TestFixture]
    public class StringHelperTest
    {
        [Test]
        public void LocalizeTest1()
        {
            var result = StringHelper.Localize("VisualStudio");
            Assert.AreEqual("Visual Studio", result);
        }

        [Test, Description("Localize null string")]
        public void LocalizeTest2()
        {
            var result = StringHelper.Localize(null);
            Assert.AreEqual(null, result);
        }

        [Test, Description("Localize item that is not present in the dictionary")]
        public void LocalizeTest3()
        {
            var result = StringHelper.Localize("NonExistingItemInDictionary");
            Assert.AreEqual("NonExistingItemInDictionary", result);
        }
    }
}
