﻿using System.Windows;
using DSLPedProjectWizard.ViewModels;
using GalaSoft.MvvmLight.Messaging;

namespace DSLPedProjectWizard.Views {

    /// <summary>
    /// Interaction logic for IntroWizardView.xaml
    /// </summary>
    public partial class IntroWizardView : IWizardPage
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="IntroWizardView"/> class.
        /// </summary>
        /// <param name="messenger">The messenger for the communication between the wizard pages</param>
        public IntroWizardView(Messenger messenger)
        {
            InitializeComponent();
            this.DataContext = new IntroWizardViewModel();
        }

        /// <summary>
        /// Gets the value indicating that the wizard can finish
        /// </summary>
        public bool CanFinish
        {
            get
            {
                return true;
            }
        }

        /// <summary>
        /// Gets the view of the wizard in a form of <see cref="FrameworkElement"/>
        /// </summary>
        public FrameworkElement View
        {
            get
            {
                return this;
            }
        }
    }
}
